import { elementConstructors } from '../../src/viv.js';
const { div, h1, nav, img, a, button, svg, path, main, p } = elementConstructors;

div("h-screen flex overflow-hidden bg-gray-100",
  /*  Off-canvas menu for mobile */
  div("md:hidden",
    div("fixed inset-0 flex z-40",
      /* 
        Off-canvas menu overlay, show/hide based on off-canvas menu state.

        Entering: "transition-opacity ease-linear duration-300"
          From: "opacity-0"
          To: "opacity-100"
        Leaving: "transition-opacity ease-linear duration-300"
          From: "opacity-100"
          To: "opacity-0"
      */
      div("fixed inset-0",
        div("absolute inset-0 bg-gray-600 opacity-75")),
      /* 
        Off-canvas menu, show/hide based on off-canvas menu state.

        Entering: "transition ease-in-out duration-300 transform"
          From: "-translate-x-full"
          To: "translate-x-0"
        Leaving: "transition ease-in-out duration-300 transform"
          From: "translate-x-0"
          To: "-translate-x-full"
      */
      div("relative flex-1 flex flex-col max-w-xs w-full bg-gray-800",
        div("absolute top-0 right-0 -mr-14 p-1",
          button("flex items-center justify-center h-12 w-12 rounded-full focus:outline-none focus:bg-gray-600",
            {"aria-label":'Close sidebar'},
            svg("h-6 w-6 text-white",
              {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
              path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M6 18L18 6M6 6l12 12'})))),
        div("flex-1 h-0 pt-5 pb-4 overflow-y-auto",
          div("flex-shrink-0 flex items-center px-4",
            img("h-8 w-auto",
              {"src":'/img/logos/workflow-logo-on-dark.svg', "alt":'Workflow'})),
          nav("mt-5 px-2",
            a("group flex items-center px-2 py-2 text-base leading-6 font-medium rounded-md text-white bg-gray-900 focus:outline-none focus:bg-gray-700 transition ease-in-out duration-150",
              {"href":'#'},
              svg("mr-4 h-6 w-6 text-gray-300 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
                {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
                path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M3 12l9-9 9 9M5 10v10a1 1 0 001 1h3a1 1 0 001-1v-4a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 001 1h3a1 1 0 001-1V10M9 21h6'})),
              ' Dashboard '),
            a("mt-1 group flex items-center px-2 py-2 text-base leading-6 font-medium rounded-md text-gray-300 hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
              {"href":'#'},
              svg("mr-4 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
                {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
                path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M17 20h5v-2a3 3 0 00-5.356-1.857M17 20H7m10 0v-2c0-.656-.126-1.283-.356-1.857M7 20H2v-2a3 3 0 015.356-1.857M7 20v-2c0-.656.126-1.283.356-1.857m0 0a5.002 5.002 0 019.288 0M15 7a3 3 0 11-6 0 3 3 0 016 0zm6 3a2 2 0 11-4 0 2 2 0 014 0zM7 10a2 2 0 11-4 0 2 2 0 014 0z'})),
              ' Team '),
            a("mt-1 group flex items-center px-2 py-2 text-base leading-6 font-medium rounded-md text-gray-300 hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
              {"href":'#'},
              svg("mr-4 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
                {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
                path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z'})),
              ' Projects '),
            a("mt-1 group flex items-center px-2 py-2 text-base leading-6 font-medium rounded-md text-gray-300 hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
              {"href":'#'},
              svg("mr-4 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
                {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
                path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M8 7V3m8 4V3m-9 8h10M5 21h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v12a2 2 0 002 2z'})),
              ' Calendar '),
            a("mt-1 group flex items-center px-2 py-2 text-base leading-6 font-medium rounded-md text-gray-300 hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
              {"href":'#'},
              svg("mr-4 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
                {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
                path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M20 13V6a2 2 0 00-2-2H6a2 2 0 00-2 2v7m16 0v5a2 2 0 01-2 2H6a2 2 0 01-2-2v-5m16 0h-2.586a1 1 0 00-.707.293l-2.414 2.414a1 1 0 01-.707.293h-3.172a1 1 0 01-.707-.293l-2.414-2.414A1 1 0 006.586 13H4'})),
              ' Documents '),
            a("mt-1 group flex items-center px-2 py-2 text-base leading-6 font-medium rounded-md text-gray-300 hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
              {"href":'#'},
              svg("mr-4 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
                {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
                path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M16 8v8m-4-5v5m-4-2v2m-2 4h12a2 2 0 002-2V6a2 2 0 00-2-2H6a2 2 0 00-2 2v12a2 2 0 002 2z'})),
              ' Reports '))),
        div("flex-shrink-0 flex bg-gray-700 p-4",
          a("flex-shrink-0 group block",
            {"href":'#'},
            div("flex items-center",
              div(
                img("inline-block h-10 w-10 rounded-full",
                  {"src":'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80', "alt":''})),
              div("ml-3",
                p("text-base leading-6 font-medium text-white",
                  ' Tom Cook '),
                p("text-sm leading-5 font-medium text-gray-400 group-hover:text-gray-300 transition ease-in-out duration-150",
                  ' View profile ')))))),
      div("flex-shrink-0 w-14"))),
  /*  Static sidebar for desktop */
  div("hidden md:flex md:flex-shrink-0",
    div("flex flex-col w-64 bg-gray-800",
      div("h-0 flex-1 flex flex-col pt-5 pb-4 overflow-y-auto",
        div("flex items-center flex-shrink-0 px-4",
          img("h-8 w-auto",
            {"src":'/img/logos/workflow-logo-on-dark.svg', "alt":'Workflow'})),
        /*  Sidebar component, swap this element with another sidebar if you like */
        nav("mt-5 flex-1 px-2 bg-gray-800",
          a("group flex items-center px-2 py-2 text-sm leading-5 font-medium text-white rounded-md bg-gray-900 focus:outline-none focus:bg-gray-700 transition ease-in-out duration-150",
            {"href":'#'},
            svg("mr-3 h-6 w-6 text-gray-300 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
              {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
              path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M3 12l9-9 9 9M5 10v10a1 1 0 001 1h3a1 1 0 001-1v-4a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 001 1h3a1 1 0 001-1V10M9 21h6'})),
            ' Dashboard '),
          a("mt-1 group flex items-center px-2 py-2 text-sm leading-5 font-medium text-gray-300 rounded-md hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
            {"href":'#'},
            svg("mr-3 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
              {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
              path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M17 20h5v-2a3 3 0 00-5.356-1.857M17 20H7m10 0v-2c0-.656-.126-1.283-.356-1.857M7 20H2v-2a3 3 0 015.356-1.857M7 20v-2c0-.656.126-1.283.356-1.857m0 0a5.002 5.002 0 019.288 0M15 7a3 3 0 11-6 0 3 3 0 016 0zm6 3a2 2 0 11-4 0 2 2 0 014 0zM7 10a2 2 0 11-4 0 2 2 0 014 0z'})),
            ' Team '),
          a("mt-1 group flex items-center px-2 py-2 text-sm leading-5 font-medium text-gray-300 rounded-md hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
            {"href":'#'},
            svg("mr-3 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
              {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
              path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z'})),
            ' Projects '),
          a("mt-1 group flex items-center px-2 py-2 text-sm leading-5 font-medium text-gray-300 rounded-md hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
            {"href":'#'},
            svg("mr-3 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
              {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
              path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M8 7V3m8 4V3m-9 8h10M5 21h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v12a2 2 0 002 2z'})),
            ' Calendar '),
          a("mt-1 group flex items-center px-2 py-2 text-sm leading-5 font-medium text-gray-300 rounded-md hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
            {"href":'#'},
            svg("mr-3 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
              {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
              path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M20 13V6a2 2 0 00-2-2H6a2 2 0 00-2 2v7m16 0v5a2 2 0 01-2 2H6a2 2 0 01-2-2v-5m16 0h-2.586a1 1 0 00-.707.293l-2.414 2.414a1 1 0 01-.707.293h-3.172a1 1 0 01-.707-.293l-2.414-2.414A1 1 0 006.586 13H4'})),
            ' Documents '),
          a("mt-1 group flex items-center px-2 py-2 text-sm leading-5 font-medium text-gray-300 rounded-md hover:text-white hover:bg-gray-700 focus:outline-none focus:text-white focus:bg-gray-700 transition ease-in-out duration-150",
            {"href":'#'},
            svg("mr-3 h-6 w-6 text-gray-400 group-hover:text-gray-300 group-focus:text-gray-300 transition ease-in-out duration-150",
              {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
              path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M16 8v8m-4-5v5m-4-2v2m-2 4h12a2 2 0 002-2V6a2 2 0 00-2-2H6a2 2 0 00-2 2v12a2 2 0 002 2z'})),
            ' Reports '))),
      div("flex-shrink-0 flex bg-gray-700 p-4",
        a("flex-shrink-0 w-full group block",
          {"href":'#'},
          div("flex items-center",
            div(
              img("inline-block h-9 w-9 rounded-full",
                {"src":'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80', "alt":''})),
            div("ml-3",
              p("text-sm leading-5 font-medium text-white",
                ' Tom Cook '),
              p("text-xs leading-4 font-medium text-gray-300 group-hover:text-gray-200 transition ease-in-out duration-150",
                ' View profile '))))))),
  div("flex flex-col w-0 flex-1 overflow-hidden",
    div("md:hidden pl-1 pt-1 sm:pl-3 sm:pt-3",
      button("-ml-0.5 -mt-0.5 h-12 w-12 inline-flex items-center justify-center rounded-md text-gray-500 hover:text-gray-900 focus:outline-none focus:bg-gray-200 transition ease-in-out duration-150",
        {"aria-label":'Open sidebar'},
        svg("h-6 w-6",
          {"stroke":'currentColor', "fill":'none', "viewBox":'0 0 24 24'},
          path({"stroke-linecap":'round', "stroke-linejoin":'round', "stroke-width":'2', "d":'M4 6h16M4 12h16M4 18h16'})))),
    main("flex-1 relative z-0 overflow-y-auto pt-2 pb-6 focus:outline-none md:py-6",
      {"tabindex":'0'},
      div("max-w-7xl mx-auto px-4 sm:px-6 lg:px-8",
        h1("text-2xl font-semibold text-gray-900",
          'Dashboard')),
      div("max-w-7xl mx-auto px-4 sm:px-6 md:px-8",
        /*  Replace with your content */
        div("py-4",
          div("border-4 border-dashed border-gray-200 rounded-lg h-96")),
        /*  /End replace */))))
